summaryrefslogtreecommitdiff
path: root/debian/patches
diff options
context:
space:
mode:
authorsabetts <sabetts>2000-12-16 22:03:48 +0000
committersabetts <sabetts>2000-12-16 22:03:48 +0000
commitaccc0050e2c972244878f72a9b265223f09d6483 (patch)
treed456704397ed4cc859fe1d68012df578223b037e /debian/patches
parent52d00ac0d9d32cbfd4d2e09dbdf91ca341e99c4d (diff)
downloadratpoison-accc0050e2c972244878f72a9b265223f09d6483.zip
debianization
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/00list1
-rwxr-xr-xdebian/patches/01-xterm.dpatch31
2 files changed, 32 insertions, 0 deletions
diff --git a/debian/patches/00list b/debian/patches/00list
new file mode 100644
index 0000000..7937674
--- /dev/null
+++ b/debian/patches/00list
@@ -0,0 +1 @@
+01-xterm
diff --git a/debian/patches/01-xterm.dpatch b/debian/patches/01-xterm.dpatch
new file mode 100755
index 0000000..4bc94ab
--- /dev/null
+++ b/debian/patches/01-xterm.dpatch
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Calls x-terminal-emulator instead of xterm
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p0 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p0 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+
+exit 0
+
+diff -u src/actions.c src/actions.c
+--- src/actions.c Sat Dec 16 16:07:05 2000
++++ src/actions.c Sat Dec 16 18:15:07 2000
+@@ -9,7 +9,7 @@
+
+ /* Initialization of the key structure */
+ rp_action key_actions[] = { {KEY_PREFIX, 0, 0, generate_prefix},
+- {XK_c, -1, "xterm", spawn},
++ {XK_c, -1, "x-terminal-emulator", spawn},
+ {XK_e, -1, "emacs", spawn},
+ {XK_p, -1, 0, prev_window},
+ {XK_n, -1, 0, next_window},